package com.ltgk.boat.service;


import com.ltgk.boat.domain.dto.*;
import com.ltgk.boat.domain.vo.ExportBoatTrajectoryVO;
import com.ltgk.common.core.domain.AjaxResult;

import java.util.List;

/**
 * @Author: w1826
 * @Description: 获取船舶尾迹数据
 * @Date: 2025/2/26 11:21
 * @Version: 1.0
 */
public interface BoatDynamicWakeService {
    AjaxResult getWakeData(GetWakeDataReq getWakeDataReq);

    AjaxResult getRadarWakeData(GetRadarWakeDataReq getRadarWakeDataReq);

    AjaxResult getBoatTrajectory(GetBoatTrajectoryReq getBoatTrajectoryReq);

    AjaxResult getBoatInfoByCondition(GetBoatInfoByConditionReq getBoatInfoByConditionReq);

    AjaxResult getBoatsTrajectory(GetBoatsTrajectoryReq getBoatsTrajectoryReq);

    /**
     * 组装导出渔船轨迹数据
     *
     * @param req: 查询渔船轨迹数据的参数
     * @return java.util.List<com.ltgk.boat.domain.vo.ExportBoatTrajectoryVO>
     * @author Qi ChengBin
     * @date 2025/7/25
     */
    List<ExportBoatTrajectoryVO> exportBoatTrajectoryVO(GetBoatTrajectoryReq req);
}
